.align-center {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.flex-column {
    display: flex;
    flex-direction: column;
}

.flex-row-reverse {
    display: flex;
    flex-direction: row-reverse;
}
.main--body{
    width: 100%;
    min-height:100%;
    display:flex;
    align-items: center;
    justify-content: center;
}


.login--card {
    max-width: 450px;
    width:100%;
    border-radius: 10px;
    background-color: #fff;
    box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.125);
    padding:24px;

    h1{
        font-size: 28px;
        line-height: 1.5;
        font-weight: 700;
        letter-spacing: 1px;
        color:#395A41;
        text-align: center;
        margin-bottom: 28px;
        text-transform: uppercase;
    }
    .form-container{
        width: 100%;
    }

    .mat-form-field{
        width:100%;
    }

    .form--btn{
        text-align: center;
        margin-top: 24px;

        button{
            background-color: #395A41;
            padding:6px 48px;
        }
    }

    ::ng-deep{
        .mat-form-field-wrapper{
            margin-bottom:16px;
        }
        .mat-input-element{
            height:20px;
        }
        .mat-form-field-label{
            font-size: 14px;
            font-weight: 500;
            color:#b1b1b1;
        }
        .mat-form-field-ripple{
            background-color: #395A41;
        }
        .mat-icon{
            opacity: 0.8;
            color: #395A41;
        }
    }
    .link{
        margin-top: 15px;
        display: block;
    }
}
.link{
    color: #395A41;
}